package com.zzwtec.third.model.permission.dto;

import com.zzwtec.third.model.ObjType;

/**
 * create by Jomchen on 2018/12/4
 */
public class ObjRelationDTO {

    private String objId;
    /**
     * 对象IDs
     */
    private String[] objIds;

    /**
     * 对象类型
     */
    private ObjType objType;
    /**
     * 父节点id
     */
    private String parentId;
    /**
     * 父节点ids
     */
    private String[] parentIds;
    /**
     * 省id
     */
    private String provinceId;
    /**
     * 城市id
     */
    private String cityId;
    /**
     * 物业id
     */
    private String propertyId;
    /**
     * 小区id
     */
    private String communityId;
    /**
     * 楼栋id
     */
    private String buildId;
    /**
     * 房间id
     */
    private String cellId;
    /**
     * 门id
     */
    private String doorId;
    /**
     * 逻辑是否删除
     */
    private Boolean deletec;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String[] getObjIds() {
        return objIds;
    }

    public void setObjIds(String[] objIds) {
        this.objIds = objIds;
    }

    public ObjType getObjType() {
        return objType;
    }

    public void setObjType(ObjType objType) {
        this.objType = objType;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String[] getParentIds() {
        return parentIds;
    }

    public void setParentIds(String[] parentIds) {
        this.parentIds = parentIds;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(String propertyId) {
        this.propertyId = propertyId;
    }

    public String getCommunityId() {
        return communityId;
    }

    public void setCommunityId(String communityId) {
        this.communityId = communityId;
    }

    public String getBuildId() {
        return buildId;
    }

    public void setBuildId(String buildId) {
        this.buildId = buildId;
    }

    public String getCellId() {
        return cellId;
    }

    public void setCellId(String cellId) {
        this.cellId = cellId;
    }

    public String getDoorId() {
        return doorId;
    }

    public void setDoorId(String doorId) {
        this.doorId = doorId;
    }

    public Boolean getDeletec() {
        return deletec;
    }

    public void setDeletec(Boolean deletec) {
        this.deletec = deletec;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

}
